Loading...
Searching...
No Matches
matrix_market

## Detailed Description

Definition at line 29 of file mm_io.h.

## Public Types

typedef size_t | format_type

## Public Attributes

format_type | format

## Static Public Attributes

static const format_type | general = 0
static const format_type | symmetric = 1
static const format_type | skew_symmetric = 2
static const format_type | hermitian = 3
static const format_type | max_format = 4

## Member Typedef Documentation

## format_type

typedef size_t format_type

Definition at line 30 of file mm_io.h.

## Member Data Documentation

## general

const format_type general = 0

static

Definition at line 32 of file mm_io.h.

## symmetric

const format_type symmetric = 1

static

Definition at line 33 of file mm_io.h.

## skew_symmetric

const format_type skew_symmetric = 2

static

Definition at line 34 of file mm_io.h.

## hermitian

const format_type hermitian = 3

static

Definition at line 35 of file mm_io.h.

## max_format

const format_type max_format = 4

static

Definition at line 36 of file mm_io.h.

## format

format_type format

Definition at line 37 of file mm_io.h.

The documentation for this struct was generated from the following file:

- /build/rheolef-dTNbRN/rheolef-7.2/linalg/lib/mm_io.h